//
//  Mesure de tension
//
//
// Auteur : www.thyzoon.fr 
//
// 2011-2012
//

#if defined(ARDUINO) && ARDUINO >= 100
  #include "Arduino.h"
  #else
  #include "WProgram.h"
  #endif

// Calcul des coefficeints de mesures en fonction des resistances 
// COEF = ((R1 + R2)/R2) * (VREF/1024) 
// VREF = 5V (refrence interne)
#define COEF_LIPO1 0.0048828  // R11 = 2.15K     
#define COEF_LIPO2 0.0087209  // R12 = 1.69K     R22 = 2.15K 
#define COEF_LIPO3 0.0127862  // R13 = 3.48K     R23 = 2.15K 
#define COEF_LIPO4 0.0170558  // R14 = 5.36K     R24 = 2.15K 
#define COEF_LIPO5 0.0211210  // R15 = 7.15K     R25 = 2.15K 
#define COEF_LIPO6 0.0255269  // R16 = 9.09K     R26 = 2.15K 

class TensionLipo{
  public:
  TensionLipo();
  void begin(); 
  float Tension_Lipo1 ();
  float Tension_Lipo2 ();
  float Tension_Lipo3 ();
  float Tension_Lipo4 ();
  float Tension_Lipo5 ();
  float Tension_Lipo6 ();
  float Lipo_Mini (uint8_t nb_Lipo,float L1,float L2,float L3,float L4,float L5,float L6);
  uint8_t Detect ();
  
  private:
  uint16_t mesure(uint8_t pin);
};
